Bug 839379

Summary: Screen brightness buttons not working on Sony Vaio t13
Product: [Fedora] Fedora Reporter: vincentvdk <vincent>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: dennis, gansalmon, itamar, jfeeney, jonathan, kernel-maint, madhu.chinakonda, vincent
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-11-27 11:12:13 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description vincentvdk 2012-07-11 14:56:03 EDT
Description of problem:

The keyboard shortcuts Fn-F5 and Fn-F6 don't change the screen's brightness. The OSD shows the brighness being altered, but the screen stays at full brightness.

If I run echo 400 > /sys/class/backlight/intel_backlight/brightness the brightness of the screen changes.



How reproducible:

try to change the screen brightness using the keyboard keys.

  
Actual results:

The brightness of the screen stays at 100% when using the keyboard keys to increase or decrease the brightness of the screen 


Expected results:

The brightness of the screen should be increased or decreased 
Additional info:

This laptop uses an Intel HD 4000 graphics card.

dmesg shows this :

[    4.488377] sony_laptop: brightness ignored, must be controlled by ACPI video driver

00:00.0 Host bridge: Intel Corporation Ivy Bridge DRAM Controller (rev 09)
00:02.0 VGA compatible controller: Intel Corporation Device 0166 (rev 09)
00:14.0 USB Controller: Intel Corporation Panther Point USB xHCI Host Controller (rev 04)
00:16.0 Communication controller: Intel Corporation Panther Point MEI Controller #1 (rev 04)
00:1a.0 USB Controller: Intel Corporation Panther Point USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation Panther Point High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation Panther Point PCI Express Root Port 1 (rev c4)
00:1c.1 PCI bridge: Intel Corporation Panther Point PCI Express Root Port 2 (rev c4)
00:1c.2 PCI bridge: Intel Corporation Panther Point PCI Express Root Port 3 (rev c4)
00:1d.0 USB Controller: Intel Corporation Panther Point USB Enhanced Host Controller #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation Panther Point LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation Panther Point 6 port SATA AHCI Controller (rev 04)
00:1f.3 SMBus: Intel Corporation Panther Point SMBus Controller (rev 04)
02:00.0 Network controller: Atheros Communications Inc. AR9485 Wireless Network Adapter (rev 01)
08:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. Device 5209 (rev 01)
0e:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 07)
Comment 1 Josh Boyer 2012-07-11 15:47:10 EDT
Which kernel version(s) are you having this problem with?
Comment 2 vincentvdk 2012-07-11 16:05:15 EDT
I'm using  3.4.4-5.fc17.x86_64
Comment 3 vincentvdk 2012-09-30 11:33:22 EDT
Keys are using the acpi_video instead of the intel_backlight

[root@gimli ~]# udevadm monitor
monitor will print the received events for:
UDEV - the event which udev sends out after rule processing
KERNEL - the kernel uevent

KERNEL[96491.044017] change   /devices/pci0000:00/0000:00:02.0/backlight/acpi_video0 (backlight)
KERNEL[96491.047205] change   /devices/pci0000:00/0000:00:02.0/backlight/acpi_video0 (backlight)
UDEV  [96491.047782] change   /devices/pci0000:00/0000:00:02.0/backlight/acpi_video0 (backlight)
UDEV  [96491.051307] change   /devices/pci0000:00/0000:00:02.0/backlight/acpi_vi
Comment 4 Justin M. Forbes 2013-10-18 17:19:48 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.
Comment 5 Justin M. Forbes 2013-11-27 11:12:13 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  

It has been over a month since we asked you to test the 3.11 kernel updates and let us know if your issue has been resolved or is still a problem. When this happened, the bug was set to needinfo.  Because the needinfo is still set, we assume either this is no longer a problem, or you cannot provide additional information to help us resolve the issue.  As a result we are closing with insufficient data. If this is still a problem, we apologize, feel free to reopen the bug and provide more information so that we can work towards a resolution

If you experience different issues, please open a new bug report for those.
Comment 6 vincentvdk 2015-05-11 07:15:16 EDT
I don't own this laptop any more and since this bug is so old this can be closed for my part.

Vincent